﻿Imports Microsoft.SharePoint.Client
Imports System.Text

Module Module1

    Sub Main()

        Dim context As New ClientContext("http://intranet.contoso.com")
        Dim sampleListItems As ListItemCollection
        Dim sampleList As List = context.Web.Lists.GetByTitle("Contacts")

        Dim qry As New Microsoft.SharePoint.Client.CamlQuery
        qry.ViewXml = "<View><RowLimit>5</RowLimit></View>"
        sampleListItems = sampleList.GetItems(qry)

        context.Load(sampleListItems)

        context.ExecuteQuery()

        'Build the Sample XML Data
        Dim SampleData = <SharePointListItems></SharePointListItems>

        For Each item In sampleListItems
            Dim sampleItem = <ListItem>
                                 <%= From fieldValue In item.FieldValues _
                                     Select <<%= fieldValue.Key %>>
                                                <%= fieldValue.Value %></> %>
                             </ListItem>
            SampleData.Add(sampleItem)
        Next

        System.IO.File.AppendAllText("C:\SharePointSampleData.xml",
                                     SampleData.ToString())
    End Sub

End Module
